CREATE OR REPLACE PROCEDURE sp_fco_del_diagnosticos
(
    pvc_diagnostico varchar
)
AS
BEGIN
    DELETE fco_diagnosticos 
    WHERE diagnostico = pvc_diagnostico;
    
    COMMIT;
END;
/

CREATE PUBLIC SYNONYM sp_fco_del_diagnosticos FOR ADAM.sp_fco_del_diagnosticos;
GRANT EXECUTE ON sp_fco_del_diagnosticos TO adama;

